Returns the previous set of values returned by EvStat::attr

- « EvStat::createStopped

- EvStat::set »

- PHP Manual
- EvStat
- Returns the previous set of values returned by EvStat::attr

# EvStat::prev

(PECL ev >= 0.2.0)

EvStat::prev — Returns the previous set of values returned by EvStat::attr

### Description

public EvStat::prev(): void

Just like EvStat::attr() , but returns the previous set of values.

### Parameters

This function has no parameters.

### Return Values

Returns an array with the same structure as the array returned by EvStat::attr() . The array contains previously detected values.

### See Also

- EvStat::attr() - Returns the values most recently detected by Ev
- EvStat::stat() - Initiates the stat call